let
  pkgs = import <nixpkgs> { };
  haskellEnv = pkgs.haskellPackages.developPackage {
    root = ./.;
  };
in haskellEnv.overrideAttrs(o: {
  buildInputs = o.buildInputs ++
                (with pkgs.elmPackages; [
                  elm
                  elm-format
                  elm-optimize-level-2
                  elm-review
                  elm-test
                ]);
})
